# Rest-API

Before start, you need the **SERVER\_TOKEN**, to generate it you can go to [Installation](/getting-started/installation.md). It's the same **SERVER\_TOKEN** used for the **Minecraft Plugin**.

#### Using CURL via Bash terminal.

```sh
curl --request GET \
  --url 'https://api.antivpn.io/api/check?ip=1.1.1.1' \
  --header 'Authorization: Bearer SERVER_TOKEN'
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.antivpn.io/developers/rest-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
